> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vued.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger webhook delivery now

> Immediately retries one pending webhook delivery if the webhook is enabled and the encrypted retry payload has not expired.



## OpenAPI

````yaml /openapi/vued-public-api.yaml post /orgs/{org_id}/webhooks/{webhook_id}/deliveries/{delivery_id}/trigger
openapi: 3.1.0
info:
  title: Vued Public API
  version: 0.1.0
  description: >-
    Cloud API for Vued organization metadata, signed audio URLs, API keys, and
    webhooks.
servers:
  - url: https://vued-office-api-dev.onrender.com/v1
security:
  - bearerAuth: []
tags:
  - name: Orgs
  - name: Search
  - name: Audio
  - name: Files
  - name: Directory
  - name: API Keys
  - name: Webhooks
paths:
  /orgs/{org_id}/webhooks/{webhook_id}/deliveries/{delivery_id}/trigger:
    post:
      tags:
        - Webhooks
      summary: Trigger webhook delivery now
      description: >-
        Immediately retries one pending webhook delivery if the webhook is
        enabled and the encrypted retry payload has not expired.
      operationId: triggerWebhookDelivery
      parameters:
        - $ref: '#/components/parameters/OrgId'
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
        - name: delivery_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Updated webhook delivery.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDelivery'
components:
  parameters:
    OrgId:
      name: org_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    WebhookDelivery:
      type: object
      properties:
        id:
          type: string
          format: uuid
        object:
          type: string
          enum:
            - webhook_delivery
        webhook_id:
          type: integer
        org_id:
          type: string
          format: uuid
        event_type:
          $ref: '#/components/schemas/WebhookEvent'
        event_id:
          type: string
        status:
          type: string
          enum:
            - pending
            - delivering
            - succeeded
            - failed
        attempts:
          type: integer
        next_attempt_at:
          type:
            - string
            - 'null'
        last_attempt_at:
          type:
            - string
            - 'null'
        delivered_at:
          type:
            - string
            - 'null'
        response_status:
          type:
            - integer
            - 'null'
        response_body:
          type:
            - string
            - 'null'
          description: Truncated response body from the last attempt.
        error:
          type:
            - string
            - 'null'
        created_at:
          type: string
        expires_at:
          type:
            - string
            - 'null'
    WebhookEvent:
      type: string
      enum:
        - meeting.started
        - meeting.ended
        - meeting.transcription.completed
        - meeting.retranscription.completed
        - meeting.speaker_id.completed
        - meeting.finalized
        - meeting.automatic.surfaced
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````